# Delete post

## Delete post

> Deletes a post by Post id and cancels all schedules. Returns nothing.

```json
{"openapi":"3.1.0","info":{"title":"Ocoya API","version":"1.1.0"},"servers":[{"url":"https://app.ocoya.com/api/_public/v1"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-Key"}}},"paths":{"/post/{postId}":{"delete":{"summary":"Delete post","description":"Deletes a post by Post id and cancels all schedules. Returns nothing.","parameters":[{"in":"path","name":"postId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success"},"500":{"description":"Unknown error"}}}}}}
```

### Sample response

{% code lineNumbers="true" fullWidth="true" expandable="true" %}

```json
{}
```

{% endcode %}
